#include <SPI.h>

#define CS_PIN 10  // Chip Select pin (must match the slave setup)

uint8_t dataToSend[256];

void setup() {
  Serial.begin(115200);
  Serial.println("SPI Master Starting...");

  pinMode(CS_PIN, OUTPUT);
  digitalWrite(CS_PIN, HIGH);

  SPI.begin();
}

void loop() {

  for (int i = 0; i < 256; i++) {
    dataToSend[i] = i;
  }

  Serial.println("Sending data...");
  digitalWrite(CS_PIN, LOW);
  SPI.transfer(dataToSend, 256);  // Send the whole array at once
  digitalWrite(CS_PIN, HIGH);
  Serial.println("Data sent.");

  delay(1); // Wait before sending again
}
